Package org.apache.sling.scripting.sightly.compiler

## Interface CompilerMessage

All Known Implementing Classes:
  `CompilerMessageImpl`

    @ProviderType
    public interface CompilerMessage

This class describes the messages (warnings or errors) the `SightlyCompiler` will produce when compiling a script.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getColumn()` Returns the column number of the script text that generated this message.
`int` `getLine()` Returns the line number of the script text that generated this message.
`String` `getMessage()` Returns the compiler's message.
`String` `getScriptName()` Returns the script name associated with this message.

### Method Detail

#### getScriptName

    String getScriptName()

Returns the script name associated with this message.

Returns:
  the script name associated with this message

#### getMessage

    String getMessage()

Returns the compiler's message.

Returns:
  the compiler's message

#### getLine

    int getLine()

Returns the line number of the script text that generated this message.

Returns:
  the line number of the script text that generated this message

#### getColumn

    int getColumn()

Returns the column number of the script text that generated this message.

Returns:
  the column number of the script text that generated this message